summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-08-19 17:34:04 +0200
committerJim Meyering <meyering@redhat.com>2012-08-19 17:34:04 +0200
commite44943a25e4a225568b51a411f18ba61134d3eb3 (patch)
tree69d2b4ee5c67818e35e6a3510fcb6a65f6438d34 /tests
parent46444af9e485b95f7ddf24c7fd9ed2586209286c (diff)
downloadcoreutils-e44943a25e4a225568b51a411f18ba61134d3eb3.tar.xz
tests: avoid split/filter test failure on very low-mem system
* tests/split/filter: Use xz -1 when compressing, to minimize memory usage. Otherwise, xz could fail due to insufficient virtual memory on a system with very little free memory.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/split/filter2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/split/filter b/tests/split/filter
index dbcac5f71..7a55818e7 100755
--- a/tests/split/filter
+++ b/tests/split/filter
@@ -29,7 +29,7 @@ for total_n_lines in 5 3000 20000; do
# and would provide little added benefit.
case $i:$total_n_lines in 2:5);; *) continue;; esac
- split -l$i --filter='xz > $FILE.xz' in out- || fail=1
+ split -l$i --filter='xz -1 > $FILE.xz' in out- || fail=1
xz -dc out-* > out || fail=1
compare in out || fail=1
rm -f out*